Index: code/trunk/src/modules/jump/JumpScore.cc
===================================================================
--- code/trunk/src/modules/jump/JumpScore.cc	(revision 11056)
+++ code/trunk/src/modules/jump/JumpScore.cc	(revision 11071)
@@ -33,4 +33,5 @@
 
 #include "JumpScore.h"
+
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
@@ -38,5 +39,4 @@
 #include "infos/PlayerInfo.h"
 #include "Jump.h"
-#include "sound/WorldSound.h"
 
 namespace orxonox
@@ -48,5 +48,5 @@
         RegisterObject(JumpScore);
 
-        owner_ = NULL;
+        owner_ = nullptr;
         showScore_ = false;
         showFuel_ = false;
@@ -73,5 +73,5 @@
         SUPER(JumpScore, tick, dt);
 
-        if (owner_ != NULL)
+        if (owner_ != nullptr)
         {
             if (!owner_->hasEnded())
@@ -79,5 +79,5 @@
                 player_ = owner_->getPlayer();
 
-                if (player_ != NULL)
+                if (player_ != nullptr)
                 {
                     if (showScore_ == true)
@@ -116,5 +116,5 @@
         SUPER(JumpScore, changedOwner);
 
-        if (this->getOwner() != NULL && this->getOwner()->getGametype())
+        if (this->getOwner() != nullptr && this->getOwner()->getGametype())
         {
             this->owner_ = orxonox_cast<Jump*>(this->getOwner()->getGametype());
@@ -122,5 +122,5 @@
         else
         {
-            this->owner_ = NULL;
+            this->owner_ = nullptr;
         }
     }
Index: code/trunk/src/modules/jump/JumpScore.h
===================================================================
--- code/trunk/src/modules/jump/JumpScore.h	(revision 11056)
+++ code/trunk/src/modules/jump/JumpScore.h	(revision 11071)
@@ -44,7 +44,7 @@
             virtual ~JumpScore();
 
-            virtual void tick(float dt);
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner();
+            virtual void tick(float dt) override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedOwner() override;
 
             void setShowScore(const bool showScore)
Index: code/trunk/src/modules/jump/JumpShield.cc
===================================================================
--- code/trunk/src/modules/jump/JumpShield.cc	(revision 11056)
+++ code/trunk/src/modules/jump/JumpShield.cc	(revision 11071)
@@ -35,12 +35,5 @@
 
 #include "core/CoreIncludes.h"
-#include "core/GameMode.h"
-#include "graphics/Model.h"
-#include "gametypes/Gametype.h"
-
 #include "JumpFigure.h"
-
-#include "sound/WorldSound.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
@@ -67,9 +60,4 @@
     }
 
-    void JumpShield::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpShield, XMLPort, xmlelement, mode);
-    }
-
     void JumpShield::tick(float dt)
     {
@@ -78,5 +66,5 @@
         Vector3 shieldPosition = getWorldPosition();
 
-        if (attachedToFigure_ == false && figure_ != NULL)
+        if (attachedToFigure_ == false && figure_ != nullptr)
         {
             Vector3 figurePosition = figure_->getWorldPosition();
Index: code/trunk/src/modules/jump/JumpShield.h
===================================================================
--- code/trunk/src/modules/jump/JumpShield.h	(revision 11056)
+++ code/trunk/src/modules/jump/JumpShield.h	(revision 11071)
@@ -30,10 +30,6 @@
 #define _JumpShield_H__
 
-#include "jump/JumpPrereqs.h"
-
-#include "util/Math.h"
-
-#include "worldentities/MovableEntity.h"
-
+#include "JumpPrereqs.h"
+#include "JumpItem.h"
 
 namespace orxonox
@@ -44,7 +40,6 @@
             JumpShield(Context* context);
             virtual ~JumpShield();
-            virtual void tick(float dt);
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void touchFigure();
+            virtual void tick(float dt) override;
+            virtual void touchFigure() override;
             virtual float getFuelState();
         protected:
Index: code/trunk/src/modules/jump/JumpSpring.cc
===================================================================
--- code/trunk/src/modules/jump/JumpSpring.cc	(revision 11056)
+++ code/trunk/src/modules/jump/JumpSpring.cc	(revision 11071)
@@ -33,11 +33,7 @@
 
 #include "JumpSpring.h"
+
 #include "core/CoreIncludes.h"
-#include "core/GameMode.h"
-#include "graphics/Model.h"
-#include "gametypes/Gametype.h"
 #include "JumpFigure.h"
-#include "sound/WorldSound.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
@@ -63,9 +59,4 @@
     }
 
-    void JumpSpring::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(JumpSpring, XMLPort, xmlelement, mode);
-    }
-
     void JumpSpring::tick(float dt)
     {
@@ -80,5 +71,5 @@
         Vector3 springPosition = getWorldPosition();
 
-        if (figure_ != NULL)
+        if (figure_ != nullptr)
         {
             Vector3 figurePosition = figure_->getWorldPosition();
@@ -103,5 +94,5 @@
     void JumpSpring::accelerateFigure()
     {
-        if (figure_ != 0)
+        if (figure_ != nullptr)
         {
             figure_->JumpFromSpring(this);
Index: code/trunk/src/modules/jump/JumpSpring.h
===================================================================
--- code/trunk/src/modules/jump/JumpSpring.h	(revision 11056)
+++ code/trunk/src/modules/jump/JumpSpring.h	(revision 11071)
@@ -30,10 +30,6 @@
 #define _JumpSpring_H__
 
-#include "jump/JumpPrereqs.h"
-
-#include "util/Math.h"
-
-#include "worldentities/MovableEntity.h"
-
+#include "JumpPrereqs.h"
+#include "JumpItem.h"
 
 namespace orxonox
@@ -44,8 +40,7 @@
             JumpSpring(Context* context);
             virtual ~JumpSpring();
-            virtual void tick(float dt);
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void tick(float dt) override;
             virtual void accelerateFigure();
-            virtual void touchFigure();
+            virtual void touchFigure() override;
         protected:
             float stretch_;
Index: code/trunk/src/modules/mini4dgame/Mini4Dgame.cc
===================================================================
--- code/trunk/src/modules/mini4dgame/Mini4Dgame.cc	(revision 11056)
+++ code/trunk/src/modules/mini4dgame/Mini4Dgame.cc	(revision 11071)
@@ -66,5 +66,5 @@
         RegisterObject(Mini4Dgame);
 
-        this->board_ = 0;
+        this->board_ = nullptr;
 
         // Set the type of Bots for this particular Gametype.
@@ -88,8 +88,8 @@
     void Mini4Dgame::cleanup()
     {
-        if(this->board_ != NULL)// Destroy the board, if present.
+        if(this->board_ != nullptr)// Destroy the board, if present.
         {
             //this->board_->destroy();
-            this->board_ = 0;
+            this->board_ = nullptr;
         }
     }
@@ -101,8 +101,8 @@
     void Mini4Dgame::start()
     {
-        if (this->board_ != NULL) // There needs to be a Mini4DgameCenterpoint, i.e. the area the game takes place.
+        if (this->board_ != nullptr) // There needs to be a Mini4DgameCenterpoint, i.e. the area the game takes place.
         {
             /*
-            if (this->board_ == NULL)
+            if (this->board_ == nullptr)
             {
                 this->board_ = new Mini4DgameBoard(this->board_->getContext());
@@ -155,11 +155,11 @@
     {
         // first spawn human players to assign always the left bat to the player in singleplayer
-        for (std::map<PlayerInfo*, Player>::iterator it = this->players_.begin(); it != this->players_.end(); ++it)
-            if (it->first->isHumanPlayer() && (it->first->isReadyToSpawn() || this->bForceSpawn_))
-                this->spawnPlayer(it->first);
+        for (const auto& mapEntry : this->players_)
+            if (mapEntry.first->isHumanPlayer() && (mapEntry.first->isReadyToSpawn() || this->bForceSpawn_))
+                this->spawnPlayer(mapEntry.first);
         // now spawn bots
-        for (std::map<PlayerInfo*, Player>::iterator it = this->players_.begin(); it != this->players_.end(); ++it)
-            if (!it->first->isHumanPlayer() && (it->first->isReadyToSpawn() || this->bForceSpawn_))
-                this->spawnPlayer(it->first);
+        for (const auto& mapEntry : this->players_)
+            if (!mapEntry.first->isHumanPlayer() && (mapEntry.first->isReadyToSpawn() || this->bForceSpawn_))
+                this->spawnPlayer(mapEntry.first);
     }
 
@@ -174,5 +174,5 @@
         assert(player);
 
-        if(false)//this->player_ == NULL)
+        if(false)//this->player_ == nullptr)
         {
             //this->player_ = player;
@@ -183,5 +183,5 @@
     void Mini4Dgame::undoStone()//Vector4 move, const int playerColor)
     {
-        ObjectList<Mini4DgameBoard>::iterator it = ObjectList<Mini4DgameBoard>::begin();
+        ObjectList<Mini4DgameBoard>::iterator it = ObjectList<Mini4DgameBoard>().begin();
         it->undoMove();
     }
@@ -191,5 +191,5 @@
     {
         Mini4DgamePosition move = Mini4DgamePosition(x,y,z,w);
-        ObjectList<Mini4DgameBoard>::iterator it = ObjectList<Mini4DgameBoard>::begin();
+        ObjectList<Mini4DgameBoard>::iterator it = ObjectList<Mini4DgameBoard>().begin();
         it->makeMove(move);
     }
Index: code/trunk/src/modules/mini4dgame/Mini4Dgame.h
===================================================================
--- code/trunk/src/modules/mini4dgame/Mini4Dgame.h	(revision 11056)
+++ code/trunk/src/modules/mini4dgame/Mini4Dgame.h	(revision 11071)
@@ -41,16 +41,4 @@
 namespace orxonox
 {
-
-    namespace mini4DgamePlayerColor
-    {
-        enum color
-        {
-            none,
-            red,
-            blue,
-            green
-        };
-    }
-
     /**
     @brief
@@ -65,8 +53,8 @@
             virtual ~Mini4Dgame(); //!< Destructor. Cleans up, if initialized.
 
-            virtual void start(void); //!< Starts the Mini4Dgame minigame.
-            virtual void end(void); ///!< Ends the Mini4Dgame minigame.
+            virtual void start(void) override; //!< Starts the Mini4Dgame minigame.
+            virtual void end(void) override; ///!< Ends the Mini4Dgame minigame.
 
-            virtual void spawnPlayer(PlayerInfo* player); //!< Spawns the input player.
+            virtual void spawnPlayer(PlayerInfo* player) override; //!< Spawns the input player.
 
             void setGameboard(Mini4DgameBoard* board)
@@ -84,5 +72,5 @@
 
         protected:
-            virtual void spawnPlayersIfRequested(); //!< Spawns player.
+            virtual void spawnPlayersIfRequested() override; //!< Spawns player.
 
 
Index: code/trunk/src/modules/mini4dgame/Mini4DgameAI.cc
===================================================================
--- code/trunk/src/modules/mini4dgame/Mini4DgameAI.cc	(revision 11056)
+++ code/trunk/src/modules/mini4dgame/Mini4DgameAI.cc	(revision 11071)
@@ -60,5 +60,5 @@
 
         this->setConfigValues();
-        this->center_ = 0;
+        this->center_ = nullptr;
     }
 
@@ -104,5 +104,5 @@
                 for(int k=0;k<4;k++){
                     for(int l=0;l<4;l++){
-                        if (this->board_[i][j][k][l]==mini4DgamePlayerColor::none)
+                        if (this->board_[i][j][k][l]==Mini4DgamePlayerColor::none)
                             possibleMoves.push_back(Vector4(i,j,k,l));
                     }
@@ -112,15 +112,3 @@
         return possibleMoves;
     }
-
-    /**
-    @brief
-        Is called each tick.
-        Implements the behavior of the PongAI (i.e. its intelligence).
-    @param dt
-        The time that has elapsed since the last tick.
-    */
-    void Mini4DgameAI::tick(float dt)
-    {
-
-    }
 }
Index: code/trunk/src/modules/mini4dgame/Mini4DgameAI.h
===================================================================
--- code/trunk/src/modules/mini4dgame/Mini4DgameAI.h	(revision 11056)
+++ code/trunk/src/modules/mini4dgame/Mini4DgameAI.h	(revision 11071)
@@ -39,6 +39,4 @@
 #include <list>
 
-#include "tools/interfaces/Tickable.h"
-
 #include "controllers/Controller.h"
 #include "Mini4DgameCenterpoint.h"
@@ -55,5 +53,5 @@
         Oliver Richter
     */
-    class _Mini4DgameExport Mini4DgameAI : public Controller, public Tickable
+    class _Mini4DgameExport Mini4DgameAI : public Controller
     {
         public:
@@ -73,7 +71,4 @@
             Vector4 makeMove(float timeout);
 
-
-            virtual void tick(float dt);
-
             void setCenterpoint(Mini4DgameCenterpoint* center)
                             { this->center_ = center; }
@@ -81,5 +76,5 @@
         protected:
 
-            std::list<std::pair<Timer*, char> > reactionTimers_; //!< A list of reaction timers and the directions that take effect when their timer expires.
+            std::list<std::pair<Timer*, char>> reactionTimers_; //!< A list of reaction timers and the directions that take effect when their timer expires.
             Mini4DgameCenterpoint* center_;
 
@@ -88,5 +83,5 @@
             std::list<Vector4> getPossibleMoves();
             void copyBoard();
-            mini4DgamePlayerColor::color board_[4][4][4][4];
+            Mini4DgamePlayerColor board_[4][4][4][4];
     };
 }
